Swashbuckle可以生成OpenAPI 3.0吗?

内容来源于 Stack Overflow,并遵循CC BY-SA 3.0许可协议进行翻译与使用

  • 回答 (1)
  • 关注 (0)
  • 查看 (14)

在ASP.NET核心2.2中使用Swashbuckle生成Swagger规范版本2,但现在需要更改版本3规范(OpenAPI 3.0)

应该在哪里添加代码规范才能实现?而且,这是支持吗?

提问于
用户回答回答于

Swashbuckle的第5版支持OpenApi 3.0。目前这是预先发布的,但你可以从nuget包中获取它https://www.nuget.org/packages/Swashbuckle.AspNetCore/5.0.0-rc2

只需在包管理器控制台中运行以下命令即可

Install-Package Swashbuckle.AspNetCore -Version 5.0.0-rc2

扫码关注云+社区

领取腾讯云代金券